Index: nagiosplug/trunk/contrib/check_netapp.pl
===================================================================
--- nagiosplug/trunk/contrib/check_netapp.pl	(revision 2081)
+++ nagiosplug/trunk/contrib/check_netapp.pl	(working copy)
@@ -39,6 +39,8 @@
 #   F740                         5500
 #   F760                         9000
 ####################################
+use strict;
+use warnings;
 
 use Net::SNMP;
 use Getopt::Long;
@@ -70,7 +72,9 @@
 
 my $state = "UNKNOWN";
 
+my $hostname;
 
+
 $SIG{'ALRM'} = sub {
     print "ERROR: No snmp response from $hostname (sigALRM)\n";
     exit($STATUSCODE{"UNKNOWN"});
@@ -117,8 +121,8 @@
 }
 
 sub SNMPGET {
-    $OID = shift;
-    ($session,$error) = Net::SNMP->session(
+    my $OID = shift;
+    my ($session,$error) = Net::SNMP->session(
         Hostname        =>      $hostname,
         Community       =>      $community,
         Port            =>      $port
@@ -148,7 +152,7 @@
 	$status_string .= "Temp CRIT";
 }
 
-foreach $element ('failedfan','failedpsu') {
+foreach my $element ('failedfan','failedpsu') {
 	my $my_return = &SNMPGET($OIDLIST{$element});
 	if(($my_return =~ /no/) || ($my_return == 0)) {
 		$status_string .= "$element = $my_return ";
